AM_CPPFLAGS = -DKDE_NO_COMPAT -DTQT_NO_COMPAT $(all_includes)

update_DATA = kdev-gen-settings.upd 
updatedir = $(kde_datadir)/tdeconf_update

# The Qt app cannot go into kde_datadir, that is not portable.
# install to kde_bindir/tdeconf_update_bin instead.
# KDE 3.2 will allow tdeconf_update scripts to run directly from there,
# but for us that's too late. Use the .sh script as a workaround.
tdeconf_PROGRAMS = kdev-gen-settings-tdeconf_update
tdeconfdir = $(libdir)/tdeconf_update_bin

kdev_gen_settings_tdeconf_update_SOURCES = kdev-gen-settings-tdeconf_update.cpp
kdev_gen_settings_tdeconf_update_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kdev_gen_settings_tdeconf_update_LDADD   = $(LIB_TQT)
